Debian Bug report logs - #520087
emdebian-rootfs: em_multistrap does not need Emdebian::Tools

version graph

Package: emdebian-rootfs; Maintainer for emdebian-rootfs is (unknown);

Reported by: Neil Williams <codehelp@debian.org>

Date: Tue, 17 Mar 2009 09:48:02 UTC

Severity: wishlist

Tags: confirmed

Found in version 1.5.2

Fixed in version emdebian-rootfs/2.0.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Summary: em_multistrap should migrate into a dedicated package to reduce the dependency list that is mainly for the benefit of the alternative emsandbox methods in the emdebian-rootfs package. To do this, em_multistrap needs the native build support fixed and the script can probably be renamed simply, 'multistrap'. I don't see it as suitable for inclusion into debootstrap itself (it's perl for one thing) so maybe it will stay in the emdebian-tools source package. Ideas? Help?

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#520087; Package emdebian-rootfs. (Tue, 17 Mar 2009 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. (Tue, 17 Mar 2009 09:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: emdebian-rootfs: em_multistrap does not need Emdebian::Tools
Date: Tue, 17 Mar 2009 09:42:54 +0000
Package: emdebian-rootfs
Version: 1.5.2
Severity: wishlist

em_multistrap should migrate into a dedicated package to reduce the
dependency list that is mainly for the benefit of the alternative
emsandbox methods in the emdebian-rootfs package. To do this,
em_multistrap needs the native build support fixed and the script
can probably be renamed simply, 'multistrap'. I don't see it as suitable
for inclusion into debootstrap itself (it's perl for one thing) so maybe
it will stay in the emdebian-tools source package. Ideas? Help?


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages emdebian-rootfs depends on:
ii  apt                           0.7.20.2   Advanced front-end for dpkg
ii  apt-cross                     0.13.0     retrieve, build and install librar
ii  binutils-multiarch            2.19.1-1   Binary utilities that support mult
ii  debootstrap                   1.0.11     Bootstrap a basic Debian system
ii  devscripts                    2.10.47    scripts to make the life of a Debi
ii  dpkg-cross                    2.4.2      tools for cross compiling Debian p
ii  emdebian-archive-keyring      1.5.2      GnuPG archive keys for the emdebia
ii  libemdebian-tools-perl        1.5.2      emdebian support library
ii  pbuilder                      0.186      personal package builder for Debia
ii  perl                          5.10.0-19  Larry Wall's Practical Extraction 
ii  sudo                          1.6.9p17-2 Provide limited super user privile
ii  ucf                           3.0016     Update Configuration File: preserv

emdebian-rootfs recommends no packages.

Versions of packages emdebian-rootfs suggests:
ii  deb-gview                0.2.2           GNOME viewer for .deb package file
ii  debian-xcontrol          0.0.2~pre1+nmu2 Extended syntax for debian/control
ii  minicom                  2.3-1           friendly menu driven serial commun
ii  screen                   4.0.3-12        terminal multiplexor with VT100/AN

-- debconf information excluded




Tags added: confirmed Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 17 Mar 2009 11:06:03 GMT) Full text and rfc822 format available.

Tags added: help Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 17 Mar 2009 11:06:03 GMT) Full text and rfc822 format available.

Summary recorded from message bug 520087 message 5 Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 17 Mar 2009 11:06:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 24 Mar 2009 12:48:04 GMT) Full text and rfc822 format available.

Tags removed: help Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 24 Mar 2009 12:51:03 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 26 Apr 2009 21:12:18 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Sun, 26 Apr 2009 21:12:18 GMT) Full text and rfc822 format available.

Message #20 received at 520087-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 520087-close@bugs.debian.org
Subject: Bug#520087: fixed in emdebian-rootfs 2.0.0
Date: Sun, 26 Apr 2009 21:02:38 +0000
Source: emdebian-rootfs
Source-Version: 2.0.0

We believe that the bug you reported is fixed in the latest version of
emdebian-rootfs, which is due to be installed in the Debian FTP archive:

emdebian-rootfs_2.0.0.dsc
  to pool/main/e/emdebian-rootfs/emdebian-rootfs_2.0.0.dsc
emdebian-rootfs_2.0.0.tar.gz
  to pool/main/e/emdebian-rootfs/emdebian-rootfs_2.0.0.tar.gz
emdebian-rootfs_2.0.0_all.deb
  to pool/main/e/emdebian-rootfs/emdebian-rootfs_2.0.0_all.deb
multistrap_2.0.0_all.deb
  to pool/main/e/emdebian-rootfs/multistrap_2.0.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 520087@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated emdebian-rootfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Apr 2009 23:29:42 +0100
Source: emdebian-rootfs
Binary: emdebian-rootfs multistrap
Architecture: source all
Version: 2.0.0
Distribution: unstable
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 emdebian-rootfs - emdebian root filesystem support
 multistrap - multiple repository bootstrap based on apt
Closes: 520087 521474
Changes: 
 emdebian-rootfs (2.0.0) unstable; urgency=low
 .
   * Debian release.
   * Add Recommends: on gcc so that dpkg-architecture works properly.
   * Add complaint when workingdir is not set in /etc/emsource.conf
     (Closes: #521474)
   * em_multistrap does not need Emdebian::Tools - new package removes
     this dependency. (Closes: #520087)
   * Update download location in debian/copyright
Checksums-Sha1: 
 c8a7ebaf4f97415413d2b211e5dfeb48e7ebce96 1121 emdebian-rootfs_2.0.0.dsc
 995a990e8bc12e4a35eaa94426f1b955adfe54f8 41005 emdebian-rootfs_2.0.0.tar.gz
 f13b5512d6eb96d2f7eb92a219de2d23bb5e0968 35928 emdebian-rootfs_2.0.0_all.deb
 521c66786438f51bc6f93dc30058daf8df5750f9 19102 multistrap_2.0.0_all.deb
Checksums-Sha256: 
 2c2bb239dbb54b41ec4ffc0f961abbb825e7af2684496d8576fb93cf4874aa83 1121 emdebian-rootfs_2.0.0.dsc
 567afa48b2ad820b739ed0cd4cbce5102b1db45e9dd8f2766c5b3eb0d3459b74 41005 emdebian-rootfs_2.0.0.tar.gz
 07afa26cf9095201f81afebd0b777389f3aa5e92a42e4f29811790074ee04494 35928 emdebian-rootfs_2.0.0_all.deb
 6e4c17bd451f5b67cfe54b7642c780612280427f1e593d162260a5beac40d028 19102 multistrap_2.0.0_all.deb
Files: 
 f90f8548f2490d18f1a17e34fe2cf183 1121 utils extra emdebian-rootfs_2.0.0.dsc
 763b09ceb285418437a2a01c326756f0 41005 utils extra emdebian-rootfs_2.0.0.tar.gz
 023f16caa83bd2ca740b90689b11776a 35928 utils extra emdebian-rootfs_2.0.0_all.deb
 cfb1f2afefd930f6ff85fe796b287c50 19102 admin extra multistrap_2.0.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkn0x4MACgkQiAEJSii8s+N87ACeNOGd2HVwCeKEWMhWL/YUd4Gu
ELIAn3rYgJrboeXmWcrCJP9CW90/aATV
=GROK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 May 2009 07:41:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:11:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.